Bug 196651 - Keyboard suffers from uncommanded keyboard repeat with USB or PS2 keyboards.
Keyboard suffers from uncommanded keyboard repeat with USB or PS2 keyboards.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-06-26 04:42 EDT by Calin Brabandt
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-24 17:50:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Calin Brabandt 2006-06-26 04:42:53 EDT
Description of problem:
Keyboard suffers from uncommanded keyboard repeat with USB or PS2 keyboards.

Version-Release number of selected component (if applicable):
2.6.17-1.2139_FC5 x64 or 2.6.16-1.2122_FC5 x64 (FC5 Re-Spin install).

How reproducible:

Steps to Reproduce:
1. Boot to KDE or init 3
2. Start typing in terminal or any ap.  Extra keystrokes appear.
3. Become frustrated and smash computer!
Actual results:
Occasional to frequent key repeats.  KDE seems worse than init 3.

Expected results:
Normal keyboard repeat timing and action.

Additional info:
Disabling keyboard repeat in Control Center is a workaround to the problem,
though it introduces a new annoyance.  Simply changing the rate or delay does
not help.  ECS P4M800PRO-M motherboard.  Logitech USB keyboard.  Memorex PS2
keyboard.  Keyboards work fine on Abit mobo / FC5 x32 machine.  Problem was not
evident during Anaconda installation.
Comment 1 Calin Brabandt 2006-07-01 13:43:43 EDT
Update:  Problem does not occur when Hyperthreading is disabled in BIOS. 
However, be advised that this mobo had a BIOS bug and a BIOS update was
necessary to correctly support HT disable.
Comment 2 Prarit Bhargava 2006-08-03 12:07:19 EDT
Product info on MOBO above:


Refiling bug under proper arch.


ia64 != x86_64

Comment 3 Calin Brabandt 2006-08-14 12:28:02 EDT
Manufacturer site with links to P4M800PRO-M version and BIOS updates.  BIOS
update was necessary on my board to reliably disable HT.

Pratit: doh! (thanks!)
Comment 5 Pavel Klinkovsky 2006-08-31 09:21:51 EDT
I have the same problem in GNOME.
The problem is not present in text terminal.
Problem appeared when after the update from FC4-2.6.11 to FC4-2.6.17.
Comment 6 Pavel Klinkovsky 2006-08-31 09:37:53 EDT
Better said:
Problem appeared after the KERNEL update from FC4-2.6.11 to FC4-2.6.17.
All other components stayed untouched.
Comment 7 Dave Jones 2006-10-16 20:02:30 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 Dave Jones 2006-11-24 17:50:46 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 9 Calin Brabandt 2006-12-10 22:49:53 EST
Upgraded system to FC6.  Upgrade went smoothly and this bug has been squashed in

Note You need to log in before you can comment on or make changes to this bug.